Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo.metadata
Interface FetchPlanMetadata

All Superinterfaces:
  Metadata

    public interface FetchPlanMetadata

extends Metadata

Represents a fetch plan for a class.

Since:
  3.0

Method Summary
`FetchGroupMetadata[]` | `getFetchGroups()` Accessor for all fetch groups defined for this fetch plan.
`int` | `getFetchSize()` Accessor for the max fetch depth.
`int` | `getMaxFetchDepth()` Accessor for the max fetch depth.
`java.lang.String` | `getName()` Accessor for the fetch plan name (set on construction).
`int` | `getNumberOfFetchGroups()` Accessor for the number of fetch groups defined for this fetch plan.
`FetchGroupMetadata` | `newFetchGroupMetadata(java.lang.String name)` Add a new fetch group for this fetch plan.
`FetchPlanMetadata` | `setFetchSize(int size)` Method to set the fetch size.
`FetchPlanMetadata` | `setMaxFetchDepth(int depth)` Method to set the max fetch depth for this plan.

Methods inherited from interface javax.jdo.metadata.Metadata
`getExtensions, getNumberOfExtensions, getParent, newExtensionMetadata`

Method Detail

### getName

    java.lang.String getName()

  Accessor for the fetch plan name (set on construction).

  Returns:
    The fetch plan name

### setMaxFetchDepth

    FetchPlanMetadata setMaxFetchDepth(int depth)

  Method to set the max fetch depth for this plan.

  Parameters:
    `depth` - The max fetch depth

### getMaxFetchDepth

    int getMaxFetchDepth()

  Accessor for the max fetch depth.

  Returns:
    The max fetch depth

### setFetchSize

    FetchPlanMetadata setFetchSize(int size)

  Method to set the fetch size.

  Parameters:
    `size` - The fetch size

### getFetchSize

    int getFetchSize()

  Accessor for the max fetch depth.

  Returns:
    The max fetch depth

### getFetchGroups

    FetchGroupMetadata[] getFetchGroups()

  Accessor for all fetch groups defined for this fetch plan.

  Returns:
    The fetch groups

### newFetchGroupMetadata

    FetchGroupMetadata newFetchGroupMetadata(java.lang.String name)

  Add a new fetch group for this fetch plan.

  Parameters:
    `name` - Name of fetch group.
  Returns:
    The FetchGroupMetadata

### getNumberOfFetchGroups

    int getNumberOfFetchGroups()

  Accessor for the number of fetch groups defined for this fetch plan.

  Returns:
    The number of fetch groups

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.